import { isDev, isServer } from 'solid-js/web';
import { createSignal, splitProps, sharedConfig, onMount, createMemo, untrack } from 'solid-js';

// src/index.tsx
function clientOnly(fn) {
  if (isServer) return (props) => props.fallback;
  const [comp, setComp] = createSignal();
  fn().then((m) => setComp(() => m.default));
  return (props) => {
    let Comp;
    let m;
    const [, rest] = splitProps(props, ["fallback"]);
    if ((Comp = comp()) && !sharedConfig.context) return Comp(rest);
    const [mounted, setMounted] = createSignal(!sharedConfig.context);
    onMount(() => setMounted(true));
    return createMemo(() => (Comp = comp(), m = mounted(), untrack(() => Comp && m ? Comp(rest) : props.fallback)));
  };
}

// src/index.tsx
var SolidQueryDevtools = isDev ? clientOnly(() => import('./devtools/LBUQ2A5B.js')) : function() {
  return null;
};

export { SolidQueryDevtools };
